# Uses of Interface
org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener

Packages that use ICompareInputChangeListener
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ICompareInputChangeListener in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type ICompareInputChangeListener
Modifier and Type
Method
Description
`void`
CompareEditorInput.`addCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
`void`
ICompareContainer.`addCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
Register for change events for the given compare input.
`void`
CompareEditorInput.`removeCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
`void`
ICompareContainer.`removeCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
Remove the change listener from the given compare input.

## Uses of ICompareInputChangeListener in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type ICompareInputChangeListener
Modifier and Type
Method
Description
`void`
DiffNode.`addCompareInputChangeListener(ICompareInputChangeListener listener)`
Registers a listener for changes of this `ICompareInput`.
`void`
ICompareInput.`addCompareInputChangeListener(ICompareInputChangeListener listener)`
Registers the given listener for notification.
`void`
DiffNode.`removeCompareInputChangeListener(ICompareInputChangeListener listener)`
Unregisters a `ICompareInput` listener.
`void`
ICompareInput.`removeCompareInputChangeListener(ICompareInputChangeListener listener)`
Unregisters the given listener.

## Uses of ICompareInputChangeListener in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type ICompareInputChangeListener
Modifier and Type
Method
Description
`void`
SaveableCompareEditorInput.`addCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
`void`
SaveableCompareEditorInput.`removeCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`